Subject: Re: Beeping (was: Emacs for new users)

From: Lennart Borgman <[email-masked]>
Date: Fri, 27 Nov 2009 00:12:49 +0100

On Thu, Nov 26, 2009 at 11:35 PM, Juri Linkov <[email-masked]> wrote:
>>
>> The problem is that we have no mechanism for telling Emacs not to ring
>> the bell for certain classes of errors.
>
> I suggest to implement this mechanism by adding a new symbol property,
> e.g. `error-bell' by analogy with properties `error-message' and
> `error-conditions', with possible values t, nil and `visible'.
>
> And to put this property with the value nil on `beginning-of-buffer',
> `end-of-buffer' and `keyboard-quit' - most annoying beeping commands.

Maybe the problem is a bit different. There is currently no dedicated
mechanism in Emacs to go to command level. Instead a lot of functions
throws an error when they want to go to command level.

Could we not implement something like (command-level) akin to (top-level)?